# Uses of Interface
net.shibboleth.shared.service.ServiceableComponent

Packages that use ServiceableComponent
Package
Description
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.
net.shibboleth.shared.spring.service.impl
Spring specific implementation of `AbstractServiceableComponent`.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of ServiceableComponent in net.shibboleth.shared.service

Methods in net.shibboleth.shared.service that return ServiceableComponent
Modifier and Type
Method
Description
`ServiceableComponent<T>`
ReloadableService.`getServiceableComponent()`
Get the serviceable component that this service supports.

## Uses of ServiceableComponent in net.shibboleth.shared.service.impl

Methods in net.shibboleth.shared.service.impl that return ServiceableComponent
Modifier and Type
Method
Description
`ServiceableComponent<Object>`
LogbackLoggingService.`getServiceableComponent()`
Get the serviceable component that this service supports.

## Uses of ServiceableComponent in net.shibboleth.shared.service.security.impl

Classes in net.shibboleth.shared.service.security.impl that implement ServiceableComponent
Modifier and Type
Class
Description
`class`
`ReloadingAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.
`class`
`ServiceableAccessControlService`
This class wraps an `AccessControlService` in a `ServiceableComponent`.

## Uses of ServiceableComponent in net.shibboleth.shared.spring.service

Classes in net.shibboleth.shared.spring.service that implement ServiceableComponent
Modifier and Type
Class
Description
`class`
`AbstractServiceableComponent<T>`
Implementation of `ServiceableComponent` that does most of the work required.
`class`
`ApplicationContextServiceableComponent`
Wraps a Spring `ApplicationContext` so it can itself be exposed as a serviceable component.

## Uses of ServiceableComponent in net.shibboleth.shared.spring.service.impl

Classes in net.shibboleth.shared.spring.service.impl that implement ServiceableComponent
Modifier and Type
Class
Description
`class`
`SpringServiceableComponent<T>`
A container @{link `ServiceableComponent` which is (usually) created during spring service creation as part of service (re)load.

## Uses of ServiceableComponent in net.shibboleth.shared.testing

Methods in net.shibboleth.shared.testing that return ServiceableComponent
Modifier and Type
Method
Description
`ServiceableComponent<T>`
MockReloadableService.`getServiceableComponent()`
Get the serviceable component that this service supports.